ECGOST3410Test (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.crypto.test

## Class ECGOST3410Test

- java.lang.Object
- - org.bouncycastle.util.test.SimpleTest
  - - org.bouncycastle.crypto.test.ECGOST3410Test

- All Implemented Interfaces:
    Test

      public class ECGOST3410Test
      extends SimpleTest

  ECGOST3410 tests are taken from GOST R 34.10-2001.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.bouncycastle.util.test.SimpleTest

      `SimpleTest.TestExceptionOperation`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ECGOST3410Test()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `ecGOST3410_AParam()` Test Sign & Verify with A parameters see: https://www.ietf.org/internet-drafts/draft-popov-cryptopro-cpalgs-01.txt gostR3410-2001-CryptoPro-A-ParamSet P.47
    `java.lang.String` | `getName()`
    `static void` | `main(java.lang.String[] args)`
    `void` | `performTest()`

    - ### Methods inherited from class org.bouncycastle.util.test.SimpleTest

      `areEqual, areEqual, areEqual, fail, fail, fail, isEquals, isEquals, isEquals, isEquals, isEquals, isEquals, isEquals, isTrue, isTrue, perform, runTest, runTest, runTests, runTests, testException`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ECGOST3410Test

          public ECGOST3410Test()

  - ### Method Detail

    - #### ecGOST3410_AParam

          public void ecGOST3410_AParam()

      Test Sign & Verify with A parameters see: https://www.ietf.org/internet-drafts/draft-popov-cryptopro-cpalgs-01.txt gostR3410-2001-CryptoPro-A-ParamSet P.47

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `Test`
      Specified by:
        `getName` in class `SimpleTest`

    - #### performTest

          public void performTest()

      Specified by:
        `performTest` in class `SimpleTest`

    - #### main

          public static void main(java.lang.String[] args)